List pending client tool calls
curl --request GET \
--url https://api.matrices.com/v1/tool-calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/tool-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/tool-calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/tool-calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"toolCalls": [
{
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"input": "<unknown>",
"name": "<string>",
"threadId": "<string>",
"toolCallId": "<string>",
"turnId": "<string>",
"waitId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"toolsetId": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Client tools
List pending client tool calls
Returns a workspace-scoped work queue of pending client-executed tool calls. The v1 endpoint only accepts status=pending; use the cursor to continue scanning by wait creation time.
GET
/
v1
/
tool-calls
List pending client tool calls
curl --request GET \
--url https://api.matrices.com/v1/tool-calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.matrices.com/v1/tool-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.matrices.com/v1/tool-calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.matrices.com/v1/tool-calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"toolCalls": [
{
"agentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"input": "<unknown>",
"name": "<string>",
"threadId": "<string>",
"toolCallId": "<string>",
"turnId": "<string>",
"waitId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"toolsetId": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"message": "<string>",
"attemptsRemaining": 123,
"code": "<string>",
"retryAfterSeconds": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
pending Required range:
1 <= x <= 200